Skip to content

Case reply

  • Endpoint: POST /delSuffixStart15
  • Tags: Chargeback

Description

Note that the request address does not contain the interface description in brackets

Parameters

FieldInTypeRequiredConstraintsDescription
signheaderstringYes

Parameter Examples

  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
versionstringYesmaxLength: 8API version. Current value: 1.0
bizTypestringYesmaxLength: 32value:caseReplay
merchantNostringYesmaxLength: 15010229810189301
spMerchantNostringNo010229810189302
batchIdstringNoP20210702104937
caseIdstringNoO20211118090801
outUserIdstringYesZNW3e
responseContentstringYesresponseContent
representmentFilearray[string]Yes[“http://xxx/O20211118090801.ZIP“, “http://xxx/O20211118090802.ZIP“]

Example

json
{
  "version": "1.0",
  "merchantNo": "010113855475499",
  "bizType": "caseReplay",
  "spMerchantNo": "",
  "caseId": "O20230626063958909878808451",
  "batchId": "",
  "outUserId": "TESTuserId00166",
  "responseContent": "处理测试",
  "representmentFile": [
    "https://xxx/omc/dev/xxx.png"
  ]
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
msgstringYesmaxLength: 256Success.
codestringYesmaxLength: 32APPLY_SUCCESS
dataobjectYes
data.successCaseIdsarray[string]No
data.failCaseIdsarray[string]No

Response Example

json
{
  "msg": "Success.",
  "code": "APPLY_SUCCESS",
  "data": {
    "successCaseIds": [
      "O20221116054544155269205717"
    ],
    "failCaseIds": []
  }
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.